Name:           lordsawar
Version:        0.1.5
Release:        1%{?dist}
Summary:        Turn-based strategy game in a fantasy setting

Group:          Amusements/Games
License:        GPLv2+
URL:            http://savannah.nongnu.org/projects/%{name}
Source0:        http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglademm24-devel gtkmm24-devel gnet2-devel gettext desktop-file-utils
BuildRequires:  SDL-devel SDL_image-devel SDL_mixer-devel expat-devel libsigc++20-devel
BuildRequires:  boost-devel uuid-devel libtiff-devel libvorbis-devel e2fsprogs-devel
BuildRequires:  libjpeg-devel
BuildRequires:  intltool >= 0.35.0

%description
LordsAWar! is a turn-based strategy game set in a fantasy setting.


%prep
%setup -q
sed -i.orig -e "s/Comment=Play a clone of Warlords II/Comment=Play a turn-based strategy game/" dat/lordsawar.desktop


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_datadir}/applications/*
desktop-file-install --dir=%{buildroot}%{_datadir}/applications dat/%{name}.desktop
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -cpm 644 dat/various/castle_icon.png %{buildroot}%{_datadir}/pixmaps/lordsawar.png
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README COPYING TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-army-editor
%{_bindir}/%{name}-editor
%{_bindir}/%{name}-tile-editor
%{_bindir}/%{name}-pbm
%{_datadir}/gnome/help/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/lordsawar.png
%{_datadir}/%{name}


%changelog
* Thu Apr  9 2009 Ian Weller <ianweller@gmail.com> 0.1.5-1
- 0.1.5

* Thu Dec 18 2008 Ian Weller <ianweller@gmail.com> 0.1.4-2
- Bump because I screwed up my CVS checkin

* Sun Dec 07 2008 Ian Weller <ianweller@gmail.com> 0.1.4-1
- 0.1.4
- Add BuildRequires: intltool >= 0.35.0

* Mon Nov 24 2008 Ian Weller <ianweller@gmail.com> 0.1.3-3
- Patch desktop file to not reference a certain patented game

* Mon Nov 24 2008 Ian Weller <ianweller@gmail.com> 0.1.3-2
- Remove commented-out patches
- Remove vendor from desktop-file-install
- Add icon for desktop menu item

* Sat Oct 25 2008 Ian Weller <ianweller@gmail.com> 0.1.3-1
- Updated upstream

* Sun Sep 21 2008 Ian Weller <ianweller@gmail.com> 0.1.1-3
- Add patch lordsawar-0.1.1-bz461454c10.patch:
    This patch fixes a crash in lordsawar when active neutral cities have produced
    a preset maximum number of army units.

* Tue Sep 16 2008 Ian Weller <ianweller@gmail.com> 0.1.1-2
- Summary and description changed

* Sun Sep 07 2008 Ian Weller <ianweller@gmail.com> 0.1.1-1
- Upstream updated

* Sat Aug 09 2008 Ian Weller <ianweller@gmail.com> 0.1.0-1
- Initial package build.
